> For the complete documentation index, see [llms.txt](https://handtracking.lightbuzz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://handtracking.lightbuzz.com/api-reference/handextensions.md).

# HandExtensions

```csharp
public static class HandExtensions
```

This is a static class.

### Methods

| Name                                            | Return Type                    | Description                                                                                         |
| ----------------------------------------------- | ------------------------------ | --------------------------------------------------------------------------------------------------- |
| Center(List<[Hand](/api-reference/hand.md)>)    | [Hand](/api-reference/hand.md) | Static. Returns the hand closest to the center of the field of view in the specified list of hands. |
| Leftmost(List<[Hand](/api-reference/hand.md)>)  | [Hand](/api-reference/hand.md) | Static. Returns the leftmost hand in the specified list of hands.                                   |
| Rightmost(List<[Hand](/api-reference/hand.md)>) | [Hand](/api-reference/hand.md) | Static. Returns the rightmost hand in the specified list of hands.                                  |

### Example

The examples show how to locate a hand depending on its position with the `HandExtensions` class.

#### Detect hands

First, detect the hands in an image.

```
List<Hand> hands = handTracker.Load(texture);
```

#### Retrieve the hand depending on the position

Get the hand closest to the center in the specified list of hands.

```csharp
Hand center = HandExtensions.Center(hands);
```

Get the leftmost hand in the specified list of hands.

```csharp
Hand leftmost = HandExtensions.Leftmost(hands);
```

Get the rightmost hand in the specified list of hands.

```csharp
Hand rightmost = HandExtensions.Rightmost(hands);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://handtracking.lightbuzz.com/api-reference/handextensions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
